package com.usky.issue.controller.web;

import com.usky.issue.service.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;


/**
 * @description：TODO
 * @author： fu
 * @create： 2024/1/25 13:15
 */
@EnableScheduling
@Component
public class TaskController {
    @Autowired
    private SpDeviceService spDeviceService;
    @Autowired
    private SpDeviceDataService spDeviceDataService;
    @Autowired
    private SpDeviceAlarmService spDeviceAlarmService;

    @Scheduled(cron = "59 59 23 * * ?")
    public void task1(){
        System.out.println(Thread.currentThread().getName() + "设备信息更新中");
        spDeviceService.updateDevice();
    }
    @Scheduled(cron = "59 59 23 * * ?")
    public void task2(){
        System.out.println(Thread.currentThread().getName() + "设备数据更新中");
        spDeviceDataService.updateData();
    }
    @Scheduled(cron = "59 59 23 * * ?")
    public void task3(){
        System.out.println(Thread.currentThread().getName() + "告警信息更新中");
        spDeviceAlarmService.updateAlarm();
    }

//    @PostConstruct
//    public void init() {
//        task1();
//        task2();
//        task3();
//    }

}

