package com.usky.issue.service;

import com.usky.issue.domain.SpDeviceData;
import com.usky.issue.domain.SpOwnerStatus;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author fu
 * @since 2024-01-24
 */
public interface SpOwnerStatusService extends CrudService<SpOwnerStatus> {
    List<SpOwnerStatus> getOwners();

    List<SpOwnerStatus> getOwnersAfter(Integer lastId);
}
